<?xml version="1.0"?>
<configuration xmlns="http://schemas.microsoft.com/.NetConfiguration/v2.0">
  <appSettings/>
  <system.web>
    <customErrors mode="Off"/>
    <!--
     考试系统 word导入题库不成功，请将下面设置为true，并输入服务器的账号和密码 
    
     <identity impersonate="false" userName="administrator" password="654321" />
        -->
    <httpRuntime maxRequestLength="1024000" useFullyQualifiedRedirectUrl="true" executionTimeout="6000" minFreeThreads="8" minLocalRequestFreeThreads="4" appRequestQueueLimit="100" enableVersionHeader="true" requestValidationMode="2.0"/>
    <!-- 
            设置 compilation debug="true" 将调试符号插入
            已编译的页面中。但由于这会 
            影响性能，因此只在开发过程中将此值 
            设置为 true。
        -->
    <compilation debug="true" defaultLanguage="c#" targetFramework="4.0">
      <buildProviders>
        <add extension=".html" type="System.Web.Compilation.PageBuildProvider"/>
      </buildProviders>
      <assemblies>
        <add assembly="System.Design, Version=4.0.0.0, Culture=neutral, PublicKeyToken=B03F5F7F11D50A3A"/>
        <add assembly="System.Windows.Forms, Version=4.0.0.0, Culture=neutral, PublicKeyToken=B77A5C561934E089"/>
        <add assembly="System.Data.OracleClient, Version=4.0.0.0, Culture=neutral, PublicKeyToken=B77A5C561934E089"/>
      </assemblies>
    </compilation>
    <!--全局定义页特定配置设置，如配置文件范围内的页和控件的 ASP.NET 指令。-->
    <pages validateRequest="false" controlRenderingCompatibilityVersion="3.5" clientIDMode="AutoID">
      <controls>
        <add tagPrefix="KS" namespace="Kesion.Controls" assembly="Kesion.Controls"/>
        <add tagPrefix="KS" src="~/control/SpaceLabel.ascx" tagName="SpaceLabel"/>
        <add tagPrefix="KS" src="~/control/SpecialControl.ascx" tagName="SpecialControl"/>
      </controls>
    </pages>
    <httpModules>
      <add type="Kesion.Module.HttpModule,Kesion.Module" name="HttpModule"/>
    </httpModules>
    <httpHandlers>
      <add path="*.html" verb="*" type="System.Web.UI.PageHandlerFactory" validate="true"/>
    </httpHandlers>
    <globalization requestEncoding="utf-8" responseEncoding="utf-8" culture="zh-CN" uiCulture="zh-CN"/>
  </system.web>
  <system.webServer>
    <defaultDocument>
      <files>
        <add value="Login.aspx"/>
      </files>
    </defaultDocument>
  </system.webServer>
</configuration>